/* This is the main window for our precision test.
 * It inherits from the QMainDialog class.
 * 
 * author: Lukas Novosad - novosluk@fel.cvut.cz
 * date: 28/9/2010
 *
 */

#ifndef EXERCISE_1_H
#define EXERCISE_1_H

// Qt includes
#include <QtGui/QMainWindow>
#include <QtGui/QWidget>
#include <QtGui/QPainter>
#include <QtGui/QInputDialog>
#include "ui_exercise_1.h"

#include "aboutdialog.h"
#include "orientationwidget.h"

class exercise_1 : public QMainWindow
{
	Q_OBJECT

public:
	exercise_1(QWidget *parent = 0, Qt::WFlags flags = 0);
	~exercise_1();

	OrientationWidget centralWidget;

	AboutDialog aboutDialog;

public slots:

	void createAboutDialog();
	void createEpsilonDialog();
	void setPrecisionCF();
	void setPrecisionCD();
	//TODO: add the slots for the additional precision/point types

signals:

	void epsilonExponentChanged(int value);
	void precisionChanged(Precision value);


private:
	Ui::exercise_1Class ui;

};

#endif // EXERCISE_1_H
